surfaceScalarField& phi = fluid.phi();

const IOMRFZoneList& MRF = fluid.MRF();
Foam::fvModels& fvModels = fluid.fvModels(mesh);
Foam::fvConstraints& fvConstraints = fluid.fvConstraints(mesh);

List<scalar> relaxU(phases.size());
PtrList<surfaceScalarField> alphafs(phases.size());

// Equations
PtrList<fvVectorMatrix> HUEqns(phases.size());
PtrList<fvVectorMatrix> ddtUEqns(phases.size());
PtrList<fvVectorMatrix> dmdtUEqns(phases.size());
PtrList<fvVectorMatrix> fvModelsEqns(phases.size());
PtrList<surfaceScalarField> ddtPhiCoeffs(phases.size());
PtrList<surfaceScalarField> dmdtPhiCoeffs(phases.size());

// Phase density for buoyancy force
PtrList<volScalarField> rhoAlphaBuoyancy(phases.size());

// Cell-based coefficients
PtrList<volScalarField> rHUs(phases.size());
PtrList<volScalarField> rAs(phases.size());
PtrList<volScalarField> rAUs; // Dummy argument for solveAlphas()

PtrList<volScalarField> dragDiag(phases.size());
PtrList<volVectorField> dragSource(phases.size());

PtrList<volScalarField> vmDiag(phases.size());
PtrList<volVectorField> vmSource(phases.size());

PtrList<volVectorField> buoyancySource(phases.size());

// Face-based coefficients
PtrList<surfaceScalarField> rHUfs(phases.size());
PtrList<surfaceScalarField> rAfs(phases.size());
PtrList<surfaceScalarField> rAUfs(phases.size());
PtrList<surfaceScalarField> rHAUfs(phases.size()); // Argument for solveAlphas()
PtrList<surfaceScalarField> alpharAUfs(phases.size());

PtrList<surfaceScalarField> dragDiagf(phases.size());
PtrList<surfaceScalarField> dragSourcef(phases.size());
PtrList<surfaceScalarField> dragPCoefff(phases.size());

PtrList<surfaceScalarField> vmDiagf(phases.size());
PtrList<surfaceScalarField> vmSourcef(phases.size());

PtrList<surfaceScalarField> forcesSourcef(phases.size());

PtrList<surfaceScalarField> buoyancySourcef(phases.size());

// Cell velocities
PtrList<volVectorField> HbyAs(phases.size());

// Face fluxes
PtrList<surfaceScalarField> phigs(phases.size());
PtrList<surfaceScalarField> phiHbyAs(phases.size());
