initZeroPtrList
(
    buoyancySource, mesh, dimensionSet(1, -2, -2, 0, 0), "buoyancySource"
);

forAll(fluid.movingPhases(), movingPhasei)
{
    const phaseModel& phase = fluid.movingPhases()[movingPhasei];
    const volScalarField& alpha = phase;

    // Volumetric buoyancy contribution
    buoyancySource[phase.index()] =
        alpha*(rhoAlphaBuoyancy[phase.index()] - rho)*g;

    // Remove normal buoyancy component from underresolved interfaces
    if (interfaceParallelBuoyancy && phase.continuous())
    {
        volVectorField nHat
        (
            volVectorField::New
            (
                IOobject::groupName("nHat", phase.name()),
                mesh,
                dimensionedVector(dimless, Zero)
            )
        );

        forAll(fluid.movingPhases(), phasej)
        {
            const phaseModel& otherPhase = fluid.movingPhases()[phasej];

            if (phase.index() == otherPhase.index() || !otherPhase.continuous())
            {
                continue;
            }

            nHat += fluid.nHat(phase, otherPhase);
        }

        const volVectorField gParallel(g - (g & nHat)*nHat);

        buoyancySource[phase.index()] +=
            alpha*gParallel*(phase.rho() - rhoAlphaBuoyancy[phase.index()]);
    }
}
