initZeroPtrList
(
    buoyancySourcef, mesh, dimensionSet(1, 0, -2, 0, 0), "buoyancySourcef"
);

forAll(fluid.movingPhases(), movingPhasei)
{
    const phaseModel& phase = fluid.movingPhases()[movingPhasei];

    // Volumetric buoyancy contribution
    buoyancySourcef[phase.index()] =
        alphafs[phase.index()]*(g & mesh.Sf())
       *(
            fvc::interpolate(rhoAlphaBuoyancy[phase.index()])
          - fvc::interpolate(rho)
        );

    // Remove normal buoyancy component from underresolved interfaces
    if (interfaceParallelBuoyancy && phase.continuous())
    {
        surfaceVectorField nHatfv
        (
            surfaceVectorField::New
            (
                IOobject::groupName("nHatfv", phase.name()),
                mesh,
                dimensionedVector(dimless, Zero)
            )
        );

        forAll(fluid.movingPhases(), phasej)
        {
            const phaseModel& otherPhase = fluid.movingPhases()[phasej];

            if (phase.index() == otherPhase.index() || !otherPhase.continuous())
            {
                continue;
            }

            nHatfv += fluid.nHatfv(phase, otherPhase);
        }

        const surfaceVectorField gParallelf(g - (g & nHatfv)*nHatfv);

        buoyancySourcef[phase.index()] +=
            alphafs[phase.index()]*(gParallelf & mesh.Sf())
           *(
                fvc::interpolate(phase.rho())
              - fvc::interpolate(rhoAlphaBuoyancy[phase.index()])
            );
    }
}
