forAll(fluid.movingPhases(), movingPhasei)
{
    const phaseModel& phase = fluid.movingPhases()[movingPhasei];
    const volScalarField& alpha = phase;
    const volScalarField& rhoAlpha = phase.rho();
    const volVectorField& UAlpha = phase.U();

    ddtUEqns.set
    (
        phase.index(),
        fvm::ddt(alpha, rhoAlpha, UAlpha)
      - fvm::Sp(fvc::ddt(alpha, rhoAlpha), UAlpha)
    );

    word ddtScheme
    (
        mesh.schemes().ddt
        (
            "ddt("
          + alpha.name()
          + ',' + rhoAlpha.name() + ','
          + UAlpha.name() + ')'
        ).last().wordToken()
    );

    if (ddtScheme == "Euler")
    {
        ddtPhiCoeffs.set
        (
            phase.index(),
            (
                byDt
                (
                    fvc::interpolate(alpha.oldTime())
                   *fvc::interpolate(rhoAlpha.oldTime())
                   *MRF.absolute(phase.phi()().oldTime())
                )
            )
        );
    }
    else
    {
        FatalErrorInFunction
            << "Only Euler is an allowed time scheme "
            << "for this solver." << exit(FatalError);
    }
}
