forAll(fluid.movingPhases(), movingPhasei)
{
    phaseModel& phase = fluid.movingPhases()[movingPhasei];
    const volScalarField& alpha = phase;
    const volScalarField& rhoAlpha = phase.rho();
    volVectorField& UAlpha = phase.URef();

    // Stabilise due to zero flux
    const dimensionedScalar residualDivU(dimensionSet(1, -3, -1, 0, 0), small);

    HUEqns[phase.index()] +=
        fvm::Sp
        (
            max
            (
                residualDivU - fvc::div(phase.alphaRhoPhi()),
                dimensionedScalar(dimensionSet(1, -3, -1, 0, 0), Zero)
            ),
            UAlpha
        )
      - fvc::Sp
        (
            max
            (
                residualDivU - fvc::div(phase.alphaRhoPhi()),
                dimensionedScalar(dimensionSet(1, -3, -1, 0, 0), Zero)
            ),
            UAlpha
        );

    // Stabilise due to zero phase fraction
    HUEqns[phase.index()] +=
        fvm::ddt
        (
            max(phase.residualAlpha() - alpha, scalar(0))*rhoAlpha,
            UAlpha
        )
      - fvc::ddt
        (
            max(phase.residualAlpha() - alpha, scalar(0))*rhoAlpha,
            UAlpha
        );
}
