initZeroPtrList(vmSource, mesh, dimensionSet(1, -2, -2, 0, 0), "vmSource");

forAllConstIter(phaseSystem::VmTable, fluid.Vms(), VmIter)
{
    const volScalarField& Vm(*VmIter());
    const phaseInterface interface(fluid, VmIter.key());

    forAllConstIter(phaseInterface, interface, interfaceIter)
    {
        const phaseModel& phase = interfaceIter();
        const phaseModel& otherPhase = interfaceIter.otherPhase();

        vmSource[phase.index()] +=
            Vm
           *byDt
            (
                phase.U()().oldTime()
              + otherPhase.U()
              - otherPhase.U()().oldTime()
            );
    }
}
