initZeroPtrList(vmSourcef, mesh, dimensionSet(0, 3, -1, 0, 0), "vmSourcef");

forAllConstIter(phaseSystem::VmTable, fluid.Vms(), VmIter)
{
    const volScalarField& Vm(*VmIter());
    const phaseInterface interface(fluid, VmIter.key());

    forAllConstIter(phaseInterface, interface, interfaceIter)
    {
        const phaseModel& phase = interfaceIter();
        const phaseModel& otherPhase = interfaceIter.otherPhase();

        vmSourcef[phase.index()] +=
            rHUfs[phase.index()]
           *fvc::interpolate(Vm)
           *byDt
            (
                MRF.absolute(phase.phi()().oldTime())
              + MRF.absolute(otherPhase.phi())
              - MRF.absolute(otherPhase.phi()().oldTime())
            );
    }
}
