/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     | Website:  https://openfoam.org
    \\  /    A nd           | Copyright (C) 2014-2022 OpenFOAM Foundation
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "makePhaseCompressibleMomentumTransportModel.H"
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Begin HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
#include "multiphaseCompressibleMomentumTransportModels.H"
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ End HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Begin HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
#include "kEpsilon.H"
makeUnregisteredStabilisedRASModel(kEpsilon, k, epsilon);
makeItRASModel(kEpsilon, k, epsilon);

#include "kOmega.H"
makeUnregisteredRASModel(kOmega);
makeUnregisteredStabilisedRASModel(kOmega, k, omega);
makeItRASModel(kOmega, k, omega);

#include "kOmegaSST.H"
makeUnregisteredStabilisedRASModel(kOmegaSST, k, omega);
makeItRASModel(kOmegaSST, k, omega);

#include "kOmegaSSTLangtrySjolander.H"
makeUnregisteredRASModel(kOmegaSSTLangtrySjolander);
makeUnregisteredStabilisedRASModel(kOmegaSSTLangtrySjolander, k, omega);
makeItRASModel(kOmegaSSTLangtrySjolander, k, omegaSSTLangtrySjolander);
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ End HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

#include "LaheyKEpsilon.H"
makeRASModel(LaheyKEpsilon);

#include "kOmegaSSTSato.H"
makeRASModel(kOmegaSSTSato);
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Begin HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
makeStabilisedRASModel(kOmegaSSTSato, k, omega);
makeItRASModel(kOmegaSSTSato, k, omega);

#include "LRR.H"
makeUnregisteredRASModel(LRR);
makeUnregisteredStabilisedRASModel(LRR, epsilon, R);
makeLabeledItRASModel(LRR, epsilon, RIso, IsoIt);
makeLabeledItRASModel(LRR, epsilon, RAniso, AnisoIt);

#include "SSG.H"
makeUnregisteredRASModel(SSG);
makeUnregisteredStabilisedRASModel(SSG, epsilon, R);
makeLabeledItRASModel(SSG, epsilon, RIso, IsoIt);
makeLabeledItRASModel(SSG, epsilon, RAniso, AnisoIt);

#include "SSGManceau.H"
makeUnregisteredRASModel(SSGManceau)
makeUnregisteredStabilisedRASModel(SSGManceau, epsilon, R);
makeLabeledItRASModel(SSGManceau, epsilon, RIso, IsoIt);
makeLabeledItRASModel(SSGManceau, epsilon, RAniso, AnisoIt);
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ End HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

#include "continuousGasKEpsilon.H"
makeRASModel(continuousGasKEpsilon);

#include "mixtureKEpsilon.H"
makeRASModel(mixtureKEpsilon);

#include "SmagorinskyZhang.H"
makeLESModel(SmagorinskyZhang);

#include "NicenoKEqn.H"
makeLESModel(NicenoKEqn);

#include "continuousGasKEqn.H"
makeLESModel(continuousGasKEqn);

#include "kineticTheoryModel.H"
makeMomentumTransportModel
(
    phaseCompressibleMomentumTransportModel,
    RAS,
    kineticTheoryModel
);

#include "phasePressureModel.H"
makeMomentumTransportModel
(
    phaseCompressibleMomentumTransportModel,
    RAS,
    phasePressureModel
);


// ************************************************************************* //
