/*---------------------------------------------------------------------------*\
  ==  == ====== ====   ====    |
                    \\     ||  | HZDR Multiphase Addon for OpenFOAM
  ======   //   ||  || ===//   | Website: https://doi.org/10.14278/rodare.767
  ||  ||  //    ||  // || \\   | License: GPL-3.0-or-later
  ==  == ====== ====   ==  ==  |
-------------------------------------------------------------------------------
License
    This file is a derivative work of OpenFOAM and part of the
    HZDR Multiphase Addon for OpenFOAM.

    Copyright (C) 2021-2022 OpenFOAM Foundation
    and Helmholtz-Zentrum Dresden-Rossendorf

    OpenFOAM and the HZDR Multiphase Addon for OpenFOAM are free software:
    you can redistribute it and/or modify it under the terms of the
    GNU General Public License as published by the Free Software Foundation,
    either version 3 of the License, or (at your option) any later version.

    OpenFOAM and the HZDR Multiphase Addon for OpenFOAM are distributed in the
    hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
    implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM and the HZDR Multiphase Addon for OpenFOAM.
    If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "makeRASModel.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#define makeUnregisteredRASModel(Type)                                         \
    makeUnregisteredTemplatedMomentumTransportModel                            \
    (phaseCompressibleMomentumTransportModel, RAS, Type)

// Requires call of make(Unregistered)RASModel()
#define makeUnregisteredStabilisedRASModel(Type, TurbVar1, TurbVar2)           \
    makeUnregisteredTemplatedStabilisedRASModel                                \
    (phaseCompressibleMomentumTransportModel, Type, TurbVar1, TurbVar2)

// Requires call of make(Unregistered)RASModel()
#define makeStabilisedRASModel(Type, TurbVar1, TurbVar2)                       \
    makeUnregisteredStabilisedRASModel(Type, TurbVar1, TurbVar2)               \
    registerTemplatedStabilisedRASModel                                        \
    (phaseCompressibleMomentumTransportModel, Type)

// Requires call of make(Unregistered)StabilisedRASModel()
#define makeLabeledItRASModel(Type, TurbVar1, TurbVar2, Label)                 \
    makeTemplatedItRASModel                                                    \
    (phaseCompressibleMomentumTransportModel, Type, TurbVar1, TurbVar2, Label)

// Requires call of make(Unregistered)StabilisedRASModel()
#define makeItRASModel(Type, TurbVar1, TurbVar2)                               \
    makeLabeledItRASModel(Type, TurbVar1, TurbVar2, It)

// ************************************************************************* //
