Info<< "Reading dictionary\n" << endl;

word dictName = "setBubbleDict";
if (args.optionFound("dict"))
{
    dictName = args.optionRead<word>("dict");
}

IOdictionary dict_
(
    IOobject
    (
        dictName,
        runTime.system(),
        mesh,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);

const scalar radius = dict_.lookup<scalar>("radius");
const vector centre = dict_.lookup("centre");
const vector plane = dict_.lookup("planeNormalVector");
const word fieldName = dict_.lookup("field");
const bool invert = readBool(dict_.lookup("invert"));

Info<< "Creating field " << fieldName << nl << endl;
volScalarField alpha
(
    IOobject
    (
        fieldName,
        runTime.timeName(),
        mesh,
        IOobject::READ_IF_PRESENT
    ),
    mesh,
    dimensionedScalar("zero", dimless, Zero)
);
