#!/bin/bash
#---------------------------------*- sh -*-------------------------------------
# ==  == ====== ====   ====    |
#                   \\     ||  | HZDR Multiphase Addon for OpenFOAM
# ======   //   ||  || ===//   | Website: https://doi.org/10.14278/rodare.767
# ||  ||  //    ||  // || \\   | License: GPL-3.0-or-later
# ==  == ====== ====   ==  ==  |
#------------------------------------------------------------------------------
# License
#     This file is part of the HZDR Multiphase Addon for OpenFOAM.
#
#     Copyright (C) 2018-2020 Helmholtz-Zentrum Dresden-Rossendorf
#
#     HZDR Multiphase Addon for OpenFOAM is free software:
#     you can redistribute it and/or modify it under the terms of the
#     GNU General Public License as published by the Free Software Foundation,
#     either version 3 of the License, or (at your option) any later version.
#
#     HZDR Multiphase Addon for OpenFOAM is distributed in the
#     hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
#     implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#     See the GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with the HZDR Multiphase Addon for OpenFOAM.
#     If not, see <http://www.gnu.org/licenses/>.
#
# Description
#   Modifies Makefiles and tutorials to compile and run in
#   $WM_PROJECT_SITE/$WM_PROJECT_VERSION directory
#
#------------------------------------------------------------------------------

# Perform various checks
wmakeCheckPwd "$WM_PROJECT_SITE/$WM_PROJECT_VERSION" || {
    echo "Allwmake error: Current directory is not \$WM_PROJECT_SITE/$WM_PROJECT_VERSION"
    echo "    The environment variables are inconsistent with the installation."
    echo "    Check the OpenFOAM entries in your dot-files and source them."
    exit 1
}

#Check if WM_PROJECT_SITE variable exists (required to replace WM_PROJECT_USER_DIR)
[ -z "$WM_PROJECT_SITE" ] && echo "Error: \$WM_PROJECT_SITE variable does not exist." && exit 1

# Replace USER directories with site directories
find . -name files -execdir /bin/bash -c "
    sed -i -e 's/FOAM_USER_LIBBIN/FOAM_SITE_LIBBIN/g' {}
    sed -i -e 's/FOAM_USER_APPBIN/FOAM_SITE_APPBIN/g' {}
    " \;

find . -name options -execdir /bin/bash -c "
    sed -i -e 's/FOAM_USER_LIBBIN/FOAM_SITE_LIBBIN/g' {}
    sed -i -e 's/FOAM_USER_APPBIN/FOAM_SITE_APPBIN/g' {}
    " \;

#------------------------------------------------------------------------------
