#!/bin/bash
#---------------------------------*- sh -*-------------------------------------
# ==  == ====== ====   ====    |
#                   \\     ||  | HZDR Multiphase Addon for OpenFOAM
# ======   //   ||  || ===//   | Website: https://doi.org/10.14278/rodare.767
# ||  ||  //    ||  // || \\   | License: GPL-3.0-or-later
# ==  == ====== ====   ==  ==  |
#------------------------------------------------------------------------------
# License
#     This file is part of the HZDR Multiphase Addon for OpenFOAM.
#
#     Copyright (C) 2018-2022 Helmholtz-Zentrum Dresden-Rossendorf
#
#     HZDR Multiphase Addon for OpenFOAM is free software:
#     you can redistribute it and/or modify it under the terms of the
#     GNU General Public License as published by the Free Software Foundation,
#     either version 3 of the License, or (at your option) any later version.
#
#     HZDR Multiphase Addon for OpenFOAM is distributed in the
#     hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
#     implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#     See the GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with the HZDR Multiphase Addon for OpenFOAM.
#     If not, see <http://www.gnu.org/licenses/>.
#
# Description
#
#   Entry script for openfoam docker image
#------------------------------------------------------------------------------

if [ -z "$CONTAINERENTRY" ]; then

    # Display some useful information
    /usr/local/bin/containerInfo.sh

    # Change user in ssh config file to avoid root access to cluster
    [ -n "${LOCAL_USER_NAME}" ] && sed -i "s/\(User \)docker/\1${LOCAL_USER_NAME}/" "$HOME/.ssh/config"

    # Create a variable that prevents this script from being run again
    export CONTAINERENTRY=FALSE

    # Run executable
    exec /usr/bin/dumb-init -- "$@"

else
    echo "ERROR: This script has already been run at container entry."
    exit 1
fi
