/*---------------------------------------------------------------------------*\
  ==  == ====== ====   ====    |
                    \\     ||  | HZDR Multiphase Addon for OpenFOAM
  ======   //   ||  || ===//   | Website: https://doi.org/10.14278/rodare.767
  ||  ||  //    ||  // || \\   | License: GPL-3.0-or-later
  ==  == ====== ====   ==  ==  |
-------------------------------------------------------------------------------
License
    This file is a derivative work of OpenFOAM and part of the
    HZDR Multiphase Addon for OpenFOAM.

    Copyright (C) 2019-2022 OpenFOAM Foundation
    and Helmholtz-Zentrum Dresden-Rossendorf

    OpenFOAM and the HZDR Multiphase Addon for OpenFOAM are free software:
    you can redistribute it and/or modify it under the terms of the
    GNU General Public License as published by the Free Software Foundation,
    either version 3 of the License, or (at your option) any later version.

    OpenFOAM and the HZDR Multiphase Addon for OpenFOAM are distributed in the
    hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
    implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM and the HZDR Multiphase Addon for OpenFOAM.
    If not, see <http://www.gnu.org/licenses/>.

Global
    readPIDTimeControls

Description
    Read the control parameters used by setPIDDeltaT

\*---------------------------------------------------------------------------*/

const dictionary& cDict(runTime.controlDict());
bool adjustTimeStep(cDict.lookupOrDefault("adjustTimeStep", false));

// Default values
const scalar defaultTargetCo(great);
const scalar defaultKP(-1e-2);
const scalar defaultKI(-2e-2);
const scalar defaultKD(-1e-6);

const scalar defaultMaxCo(1.0);
const scalar defaultMinDeltaT(small);
const scalar defaultMaxDeltaT(great);

// PID control variable and coefficients
scalar targetCo(cDict.lookupOrDefault<scalar>("targetCo", defaultTargetCo));
scalar kP(defaultKP);
scalar kI(defaultKI);
scalar kD(defaultKD);

// Limiters
scalar maxCo(cDict.lookupOrDefault<scalar>("maxCo", defaultMaxCo));
scalar minDeltaT(cDict.lookupOrDefault<scalar>("minDeltaT", defaultMinDeltaT));
scalar maxDeltaT(cDict.lookupOrDefault<scalar>("maxDeltaT", defaultMaxDeltaT));

// Recent PID values
scalar deltaCoSum(cDict.lookupOrDefault<scalar>("deltaCoSum", 0));
scalar deltaCo0(cDict.lookupOrDefault<scalar>("deltaCo0", 0));

// ************************************************************************* //
