# Description

Tutorial case simulating a three-phase (gas-solid-liquid) bubble column.

# Technical Information

Air bubbles are injected using `massSource` at column bottom with
$`J_G = 0.05 \space m/s`$. Particles and water are used for
solid and liquid phases with solid concentration of $`0.5\%`$.
Air bubbles are removed from the domain at top patch using degassing BC.
Particles and water are initialized at the simulation start and cannot escape
nor enter the domain. This is ensured by having water as continuous phase
and excluding particle phase from degassing BC in `fvModels`.
`phasePressure` model is used for the particle phase to avoid violating max
packing limit, in this case $`\alpha_{max}=0.62`$.

Turbulence internal initial values are defined as follows (SI units assumed):

```math
k = \frac{3}{2} (I\,U)^2 \quad\text{with}\\
U = 0.06 \space m/s \quad\text{as mean water velocity next to injector, and}\quad I=0.05\\
\omega = \frac{k}{\nu_{t}}\\
\nu_{t} = 10\nu\\
```

Note that this is just an approximation of the turbulence values to avoid
division by zero.

# Pre-Processing

A 2D planar geometry is used. $`W=0.15 \space m`$, $`B=0.1 \space m`$
and $`H=0.7 \space m`$.

# Keywords

gas-solid-liquid, bubble column, baseline
