# Description

Tutorial case simulating a three-phase (gas-solid-liquid) pipeflow.

# Technical Information

Air bubbles, solid particles and water are introduced uniformly at the inlet
with $`J_G = 0.01 \space m/s`$, $`J_S = 0.001 \space m/s`$
and $`J_L = 0.189 \space m/s`$, respectively.
`phasePressure` model is used for the particle phase to avoid violating max
packing limit, in this case $`\alpha_{max}=0.62`$.

Turbulence inlet BC's are defined as follows (SI units assumed):

```math
k = \frac{3}{2} (I\,U_{L, inlet})^2 \quad\text{with}\\
I=0.05\\
\omega = \frac {k^{0.5}} {C_\mu^{0.25}\space L_t} \quad\text{with}\\
L_t=0.07D \quad\text{and} \quad C_\mu=0.09\\
\nu_{t} = k/\omega\\
```

# Pre-Processing

A Wedge geometry is used. $`R=0.0256 \space m`$, $`\theta=2.5°`$
and $`H=3.03 \space m`$.

# Post-Processing

Radial profiles of phase volume fractions and velocities are plotted.

# Keywords

gas-solid-liquid, pipeflow, baseline
