# Description

This case is designed to demonstrate the functionality of the detrainment phase
transfer model. The geometry is represented by a rectangular channel. Initially
only continuous air (airC) and water are present, which share a pronounced
interface and therefore form a stagnant stratification. From the inlet at the
bottom, disperse air (airD) is injected. Disperse air rises through the water
phase, passes the continuous airC-water interface and becomes transformed into
continuous air.

# Technical Information

  - continuous phases: airC, water
  - disperse phase: airD
  - 2D
  - 25 x 75 cells
  - 0.15 m x 0.5 m
  - baseline model setup for (airD in water)
  - definitePhases blendingMethod
  - residualDrag for (airD in airC)
  - accumulationToContinuous phase transfer model for (airD in airC)
  - baseline turbulence model setup

# Pre-Processing

Phases are initialised with set fields.

# Post-Processing

Vertical line data of pressure, phase volume fraction and velocities are stored
via a singleGraph functionObjectDictionary.

A createGraphs script is available in the validation directory, which is
called by Allrun.
