# Description

This case is designed to demonstrate the functionality of the definitePhases
blending method and the debug switches for writing out blending factors f1 and
f2. The geometry is represented by a rectangular channel. Initially only
continuous phases water and oil are present, which share a pronounced interface
and therefore form a stagnant stratification. From the inlet at the bottom,
disperse air is injected for a limited time period. The gas bubbles rise, pass
the continuous oil-water interface and leave the domain at the outlet at the
top. Afterwards again a stagnant stratification is established.

# Technical Information

  - continuous phases: water, oil
  - disperse phase: airD
  - 1D
  - 100 equidistant cells
  - height: 0.5 m
  - transient inlet
  - gravitational acceleration
  - baseline aspectRatio, drag and virtualMass models
  - definitePhases blendingMethod
  - div scheme: Gauss linear

# Pre-Processing

Phases are initialised with set fields.

# Post-Processing

Vertical line data of pressure, phase volume fraction, velocity and blending
factors f1 and f2 are stored via two singleGraph functionObjectDictionaries.

A createGraphs script is available in the validation directory, which is called
by Allrun.
