# Description

A stagnant stratification of oil on top of water is initialised in a bubble
column. The large-scale interface is penetrated by disperse gas bubbles, which
are injected at the centre of the inlet for a limited period at the beginning of
the simulation. Finally, the gas bubbles leave the domain at the top boundary.
The tutorial aims at the demonstration of the coexistence of a disperse phase
and a large-scale interface (Meller et al., 2021)[^1].


# Technical Information

* 2D
* 30 x 100 mesh cells
* inlet: temporary injection of disperse gas in centre of bottom boundary
    ramped up and down between 0 and 0.7 seconds simulation time

# Pre-Processing

The horizontal stratification of water and oil is initialised with setFields.
Initially, all phases are at rest. The inlet patch is created via subsequential
execution of topoSet and createPatch.

# Post-Processing

* singleGraph (sampleDict) to extract data from vertical centre axis
* gnuplot script in validation/ to produce graphs
    * alphaU.png corresponds to Fig. 14 in the paper

# Keywords

hybrid, disperse air, stratification, three-phase bubble column

# Literature

[^1]: Meller,  Schlegel, Lucas (2021). Basic verification of a numerical
framework applied to a morphology adaptive multifield two-fluid model
considering bubble motions.
International Journal for Numerical Methods in Fluids., 93, 748-773.
